"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var markdown_view_common_1 = require("./markdown-view.common");
var MarkdownView = (function (_super) {
    __extends(MarkdownView, _super);
    function MarkdownView() {
        var _this = _super.call(this) || this;
        _this._fontSize = 18;
        return _this;
    }
    MarkdownView.prototype.createNativeView = function () {
        this._ios = _super.prototype.createNativeView.call(this);
        return this._ios;
    };
    MarkdownView.prototype[markdown_view_common_1.fontSizeProperty.setNative] = function (size) {
        this._fontSize = size;
    };
    MarkdownView.prototype[markdown_view_common_1.markdownProperty.setNative] = function (markdown) {
        var md = TSMarkdownParser.standardParser();
        this._ios.editable = false;
        this._ios.selectable = true;
        var defaultAttributes = NSDictionary.dictionaryWithObjectForKey(UIFont.systemFontOfSize(this._fontSize), NSFontAttributeName);
        var emphasisAttributes = NSDictionary.dictionaryWithObjectForKey(UIFont.italicSystemFontOfSize(this._fontSize), NSFontAttributeName);
        var strongAttributes = NSDictionary.dictionaryWithObjectForKey(UIFont.boldSystemFontOfSize(this._fontSize), NSFontAttributeName);
        md.defaultAttributes = defaultAttributes;
        md.emphasisAttributes = emphasisAttributes;
        md.strongAttributes = strongAttributes;
        this._ios.attributedText = md.attributedStringFromMarkdown(markdown);
    };
    return MarkdownView;
}(markdown_view_common_1.MarkdownViewBase));
exports.MarkdownView = MarkdownView;
//# sourceMappingURL=markdown-view.ios.js.map